Skip to main content
POST
/
api
/
knowledge-bases
/
{id}
/
crawl-sitemap
Error
A valid request URL is required to generate request examples
{
  "jobId": "<string>",
  "status": "<string>",
  "urlsFound": 123,
  "urlListLength": 123
}

Authorizations

Authorization
string
header
required

Bearer token using an API key (format nl_live_* or nl_test_*)

Path Parameters

id
string
required

Knowledge base ID

Body

application/json
sitemapUrl
string

Sitemap URL to crawl

maxPages
integer
default:100

Maximum number of pages to crawl

Required range: x <= 5000
useLlmDistill
boolean
default:true

Whether to use LLM to distill page content

urls
string[]

Explicit list of URLs to crawl instead of using a sitemap

Response

Crawl job created

jobId
string
required

ID of the created crawl job

status
string
required

Initial job status

urlsFound
integer

Number of URLs discovered from sitemap

urlListLength
integer

Number of URLs in the explicit URL list